### GET /v1/legislation/eli/{jurisdiction}/{agent}/{year}/{naturalIdentifier}/{pointInTime}/{version}/{language}/{pointInTimeManifestation}/{subtype}.xml
Source: https://docs.rechtsinformationen.bund.de/v3/api-docs
Returns a particular manifestation of a piece of legislation in XML format.
## Example
Download the LegalDocML format for the piece of legislation with a manifestation eli of `eli/bund/bgbl-1/1979/s1325/2020-06-19/2/deu/2020-06-19/regelungstext-1.xml`
```http request
GET /v1/eli/bund/bgbl-1/1979/s1325/2020-06-19/2/deu/2020-06-19/regelungstext-1.xml
```
```markdown
### Parameters
- **jurisdiction** (string (bund), path, required): Country or regional code for the jurisdiction
- **agent** (string, path, required): Agent or authority issuing the legislation, e.g., 'bgbl-1' for Bundesgesetzblatt Teil I (Federal Law Gazette part I)
- **year** (string, path, required): Year the legislation was enacted or published
- **naturalIdentifier** (string, path, required): Unique natural identifier for the legislation, specific to the jurisdiction and agent
- **pointInTime** (string (date), path, required)
- **version** (integer (int32), path, required)
- **language** (string, path, required)
- **pointInTimeManifestation** (string (date), path, required)
- **subtype** (string, path, required)
### Responses
#### 200 - OK
#### 404 - Not Found
Not Found
### Example Usage
```bash
curl -X GET "https://testphase.rechtsinformationen.bund.de//v1/legislation/eli/{jurisdiction}/{agent}/{year}/{naturalIdentifier}/{pointInTime}/{version}/{language}/{pointInTimeManifestation}/{subtype}.xml"
```
```
--------------------------------
### GET /v1/legislation
Source: https://docs.rechtsinformationen.bund.de/v3/api-docs
List all legislation in our database with support for filtering and pagination.
## Example 1
Get all legislation containing the tokens :` Gesetz`, `über`,`das`, `Verfahren`, `bei`, `sonstigen` and `Änderungen`.
```http request
GET /v1/legislation?searchTerm=Gesetz%20über%20das%20Verfahren%20bei%20sonstigen%20Änderungen
```
The API will return only the legislation that contains all these terms. Please note that in practice very common tokens such as `das` are ignored
(please see https://en.wikipedia.org/wiki/Stop_word for more details).
## Example 2
Get all legislation containing the tokens :` Gesetz` and `über` and were valid on 2020-01-01
```http request
GET /v1/legislation?temporalCoverageFrom=2020-01-01&temporalCoverageTo=2020-01-01&searchTerm=Gesetz%20über
```
This example can be used to only return currently valid legislation by replacing 2020-01-01 with today's date.
## Example 3
Get all of the legislation that belong to the work eli `eli/bund/bgbl-1/1979/s1325`
```http request
GET /v1/legislation?eli=eli/bund/bgbl-1/1979/s1325
```
```markdown
### Parameters
- **eli** (string, query, optional): Search by European Legislation Identifier (ELI). Right now only searching by work ELI is supported, but a general eli prefix match might be supported in the future.
- **temporalCoverageFrom** (string (date), query, optional): Filters the result set to only return expressions that are in force *on or after* the provided date. The parameter should be provided in `YYYY-MM-DD` format. Differs from `dateFrom`, which refers to the date of adoption or signature of the legislation. If both `temporalCoverageFrom` and `temporalCoverageTo` are given, this will output all expressions that were in force during at least one day between the two dates. To get all expressions for one specific day, set both parameters to the same day.
- **temporalCoverageTo** (string (date), query, optional): Filters the result set to only return expressions that are in force *on or before* the provided date. The parameter should be provided in `YYYY-MM-DD` format. Differs from `dateTo`, which refers to the date of adoption or signature of the legislation.
- **mostRelevantOn** (string (date), query, optional): Filters the result set so every work returns exactly one expression. Most relevant is defined as : The expression in force on that date if it exists, then the expression that would next be in force if that exists, then the most recent expression that was in force. If other filters are used the work may return 0 expressions due to the most relevant expression being filtered out.
- **searchTerm** (string, query, optional): Searches for the given tokens in searchTerm. If searchTerm contains more than one token, all tokens must be in the document for the document to match.
- **dateFrom** (string (date), query, optional): The from (greater than or equal) parameter returns all entities where date is later than, or equal to, the given date.
- **dateTo** (string (date), query, optional): The to (less than or equal) parameter returns all entities where date is earlier than, or equal to, the given date.
- **size** (integer (int32), query, optional): The number of entities per page
- **pageIndex** (integer (int32), query, optional): The number of the page to request. The page starts with the value 0
- **sort** (string, query, optional): The field to sort the results by. Default is the relevance score calculated by OpenSearch. Valid usage of the sort field are : date, temporalCoverageFrom, legislationIdentifier and not setting the sort field (sort by relevance descending).Add a leading - to set the order to descending (-date)
### Responses
#### 200 - OK
**CollectionSchemaSearchMemberSchemaLegislationExpressionSearchSchema**
- **@type** (string) (example: "hydra:Collection")
- **@id** (string) (required) (example: "/v1/document?pageIndex=0&size=5")
- **totalItems** (integer (int64)) (required) (example: 1)
- **member** (array (SearchMemberSchemaLegislationExpressionSearchSchema)) (required)
Array items:
- **@type** (string) (example: "SearchResult")
- **item** (object) (required)
- **@type** (string) (required) (example: "Legislation")
- **@id** (string) (example: "/v1/legislation/eli/bund/bgbl-1/1975/s1760/1998-01-29/10/deu")
- **name** (string): Amtliche Langüberschrift (example: "Verordnung über Kakao und Kakaoerzeugnisse")
- **legislationIdentifier** (string) (example: "eli/bund/bgbl-1/1975/s1760/1998-01-29/10/deu")
- **exampleOfWork** (object)
- **@type** (string) (example: "Legislation")
- **@id** (string) (required) (example: "/v1/legislation/eli/bund/bgbl-1/1975")
- **legislationIdentifier** (string) (required) (example: "eli/bund/bgbl-1/1975/s1760")
- **legislationDate** (string (date)) (required): Ausfertigungsdatum (The date of adoption or signature of the legislation. This is the date at which the text is officially acknowledged to be a legislation, even though it might not even be published or in force.)
(example: "2003-12-15")
- **datePublished** (string (date)) (required): Verkündungsdatum (The date of first publication of the legislation, when it was published in the official gazette. This may be later than the `legislationDate`.)
(example: "2003-12-16")
- **isPartOf** (object)
- **@type** (string) (example: "PublicationIssue")
- **name** (string) (required) (example: "BGBL I 2003, 1760")
- **temporalCoverage** (string): Textual string indicating a time period in [ISO 8601 time interval format](https://en.wikipedia.org/wiki/ISO_8601#Time_intervals)
(example: "1998-02-06/..")
- **abbreviation** (string): Amtliche Buchstabenabkürzung (example: "KakaoV 2003")
- **alternateName** (string): Amtliche Kurzüberschrift (example: "Kakaoverordnung")
- **legislationLegalForce** (string (InForce|NotInForce|PartiallyInForce)): Whether the legislation expression is currently in force. ("InForce"|"NotInForce"|"PartiallyInForce")
- **encoding** (array (LegislationObjectSchema))
Array items:
- **@type** (string) (example: "LegislationObject")
- **@id** (string) (required) (example: "/v1/legislation/eli/bund/bgbl-1/1975/s1760/1998-01-29/10/deu/1998-01-29/regelungstext-1/html")
- **contentUrl** (string) (required) (example: "/v1/legislation/eli/bund/bgbl-1/1975/s1760/1998-01-29/10/deu/1998-01-29/regelungstext-1.html")
- **encodingFormat** (string) (required) (example: "text/html")
- **inLanguage** (string) (required) (example: "de")
- **textMatches** (array (TextMatchSchema)) (required)
Array items:
- **@type** (string) (example: "SearchResultMatch")
- **name** (string) (required)
- **text** (string) (required)
- **location** (string,null)
- **view** (object) (required)
- **@type** (string) (example: "hydra:PartialCollectionView")
- **first** (string)
- **previous** (string)
- **next** (string)
- **last** (string)
#### 422 - Unprocessable Content
**CollectionSchemaSearchMemberSchemaLegislationExpressionSearchSchema**
- **@type** (string) (example: "hydra:Collection")
- **@id** (string) (required) (example: "/v1/document?pageIndex=0&size=5")
- **totalItems** (integer (int64)) (required) (example: 1)
- **member** (array (SearchMemberSchemaLegislationExpressionSearchSchema)) (required)
Array items:
- **@type** (string) (example: "SearchResult")
- **item** (object) (required)
- **@type** (string) (required) (example: "Legislation")
- **@id** (string) (example: "/v1/legislation/eli/bund/bgbl-1/1975/s1760/1998-01-29/10/deu")
- **name** (string): Amtliche Langüberschrift (example: "Verordnung über Kakao und Kakaoerzeugnisse")
- **legislationIdentifier** (string) (example: "eli/bund/bgbl-1/1975/s1760/1998-01-29/10/deu")
- **exampleOfWork** (object)
- **@type** (string) (example: "Legislation")
- **@id** (string) (required) (example: "/v1/legislation/eli/bund/bgbl-1/1975")
- **legislationIdentifier** (string) (required) (example: "eli/bund/bgbl-1/1975/s1760")
- **legislationDate** (string (date)) (required): Ausfertigungsdatum (The date of adoption or signature of the legislation. This is the date at which the text is officially acknowledged to be a legislation, even though it might not even be published or in force.)
(example: "2003-12-15")
- **datePublished** (string (date)) (required): Verkündungsdatum (The date of first publication of the legislation, when it was published in the official gazette. This may be later than the `legislationDate`.)
(example: "2003-12-16")
- **isPartOf** (object)
- **@type** (string) (example: "PublicationIssue")
- **name** (string) (required) (example: "BGBL I 2003, 1760")
- **temporalCoverage** (string): Textual string indicating a time period in [ISO 8601 time interval format](https://en.wikipedia.org/wiki/ISO_8601#Time_intervals)
(example: "1998-02-06/..")
- **abbreviation** (string): Amtliche Buchstabenabkürzung (example: "KakaoV 2003")
- **alternateName** (string): Amtliche Kurzüberschrift (example: "Kakaoverordnung")
- **legislationLegalForce** (string (InForce|NotInForce|PartiallyInForce)): Whether the legislation expression is currently in force. ("InForce"|"NotInForce"|"PartiallyInForce")
- **encoding** (array (LegislationObjectSchema))
Array items:
- **@type** (string) (example: "LegislationObject")
- **@id** (string) (required) (example: "/v1/legislation/eli/bund/bgbl-1/1975/s1760/1998-01-29/10/deu/1998-01-29/regelungstext-1/html")
- **contentUrl** (string) (required) (example: "/v1/legislation/eli/bund/bgbl-1/1975/s1760/1998-01-29/10/deu/1998-01-29/regelungstext-1.html")
- **encodingFormat** (string) (required) (example: "text/html")
- **inLanguage** (string) (required) (example: "de")
- **textMatches** (array (TextMatchSchema)) (required)
Array items:
- **@type** (string) (example: "SearchResultMatch")
- **name** (string) (required)
- **text** (string) (required)
- **location** (string,null)
- **view** (object) (required)
- **@type** (string) (example: "hydra:PartialCollectionView")
- **first** (string)
- **previous** (string)
- **next** (string)
- **last** (string)
### Example Usage
```bash
curl -X GET "https://testphase.rechtsinformationen.bund.de//v1/legislation?eli=string&temporalCoverageFrom=2023-01-01&temporalCoverageTo=2023-01-01&mostRelevantOn=2023-01-01&searchTerm=string&dateFrom=2023-01-01&dateTo=2023-01-01&size=0&pageIndex=0&sort=string"
```
```
--------------------------------
### GET /v1/administrative-directive/{documentNumber}.html
Source: https://docs.rechtsinformationen.bund.de/v3/api-docs
Renders and returns an administrative directive as HTML.
```markdown
### Parameters
- **documentNumber** (string, path, required)
### Responses
#### 200 - OK
#### 404 - Not Found
Not Found
### Example Usage
```bash
curl -X GET "https://testphase.rechtsinformationen.bund.de//v1/administrative-directive/{documentNumber}.html"
```
```
--------------------------------
### GET /v1/document/lucene-search/case-law
Source: https://docs.rechtsinformationen.bund.de/v3/api-docs
API endpoint for GET /v1/document/lucene-search/case-law
```markdown
### Parameters
- **query** (string, query, optional): The query filter based on Lucene query syntax
- **size** (integer (int32), query, optional): The number of entities per page
- **pageIndex** (integer (int32), query, optional): The number of the page to request. The page starts with the value 0
- **sort** (string, query, optional): The field to sort the results by. Default is the relevance score calculated by OpenSearch. Valid usage of the sort field are : date, courtName, documentNumber and not setting the sort field (sort by relevance descending).Add a leading - to set the order to descending (-date)
### Responses
#### 200 - Success
**CollectionSchemaSearchMemberSchemaCaseLawSearchSchema**
- **@type** (string) (example: "hydra:Collection")
- **@id** (string) (required) (example: "/v1/document?pageIndex=0&size=5")
- **totalItems** (integer (int64)) (required) (example: 1)
- **member** (array (SearchMemberSchemaCaseLawSearchSchema)) (required)
Array items:
- **@type** (string) (example: "SearchResult")
- **item** (object) (required)
- **@type** (string) (required) (example: "Decision")
- **documentNumber** (string) (example: "KARE000000000")
- **ecli** (string) (example: "ECLI:DE:FGRLP:1969:0905.IV85.68.0A")
- **headline** (string) (example: "Überschrift")
- **otherLongText** (string) (example: "Sonstiger Langtext")
- **decisionDate** (string (date))
- **fileNumbers** (array (string)) (example: "BGH 123/23")
- **courtType** (string) (example: "FG")
- **location** (string) (example: "Berlin")
- **documentType** (string) (example: "Urteil")
- **outline** (string) (example: "Leitsatz")
- **judicialBody** (string) (example: "Gericht")
- **courtName** (string) (example: "LArbG Hamm")
- **decisionName** (array (string))
- **deviatingDocumentNumber** (array (string)) (example: "DEV-123")
- **encoding** (array (CaseLawEncodingSchema))
Array items:
- **@type** (string) (example: "MediaObject")
- **@id** (string) (required)
- **contentUrl** (string) (required)
- **encodingFormat** (string) (required) (example: "text/html")
- **inLanguage** (string) (required) (example: "de")
- **@id** (string) (example: "/v1/case-law/ECLI:DE:FGRLP:1969:0905.IV85.68.0A")
- **inLanguage** (string) (example: "de")
- **textMatches** (array (TextMatchSchema)) (required)
Array items:
- **@type** (string) (example: "SearchResultMatch")
- **name** (string) (required)
- **text** (string) (required)
- **location** (string,null)
- **view** (object) (required)
- **@type** (string) (example: "hydra:PartialCollectionView")
- **first** (string)
- **previous** (string)
- **next** (string)
- **last** (string)
#### 500 - Internal Server Error
Internal Server Error
### Example Usage
```bash
curl -X GET "https://testphase.rechtsinformationen.bund.de//v1/document/lucene-search/case-law?query=string&size=0&pageIndex=0&sort=string"
```
```
--------------------------------
### GET /v1/case-law/{documentNumber}/{name}.{extension}
Source: https://docs.rechtsinformationen.bund.de/v3/api-docs
Returns a specific resource of a particular caselaw.
```markdown
### Parameters
- **documentNumber** (string, path, required)
- **name** (string, path, required)
- **extension** (string (png|jpg|jpeg|gif|wmf|emf|bitmap), path, required)
### Responses
#### 200 - OK
#### 404 - Not Found
Not Found
### Example Usage
```bash
curl -X GET "https://testphase.rechtsinformationen.bund.de//v1/case-law/{documentNumber}/{name}.{extension}"
```
```
--------------------------------
### GET /v1/case-law/{documentNumber}.html
Source: https://docs.rechtsinformationen.bund.de/v3/api-docs
Renders and returns a case law decision as HTML.
```markdown
### Parameters
- **documentNumber** (string, path, required)
### Responses
#### 200 - OK
#### 404 - Not Found
Not Found
### Example Usage
```bash
curl -X GET "https://testphase.rechtsinformationen.bund.de//v1/case-law/{documentNumber}.html"
```
```
--------------------------------
### GET /v1/bulk-zip-links
Source: https://docs.rechtsinformationen.bund.de/v3/api-docs
API endpoint for GET /v1/bulk-zip-links
```markdown
### Responses
#### 200 - OK
**ZipDataCatalogSchema**
- **@context** (string) (example: "https://schema.org/")
- **@type** (string) (example: "DataCatalog")
- **name** (string) (required): The name of this data catalog.
- **dataSet** (array (ZipDataSetSchema)) (required): The list of zip datasets contained in this catalog.
Array items:
- **@type** (string) (example: "Dataset")
- **name** (string) (required): The name of the dataset.
- **description** (string) (required): A short summary describing the contents of the dataset.
- **distribution** (object): Represents schema.org/DataDownload.
- **@type** (string) (example: "DataDownload")
- **encodingFormat** (string) (required): Will always be application/zip.
- **contentUrl** (string) (required): The url to download the zip file.
### Example Usage
```bash
curl -X GET "https://testphase.rechtsinformationen.bund.de//v1/bulk-zip-links"
```
```
--------------------------------
### GET /v1/document
Source: https://docs.rechtsinformationen.bund.de/v3/api-docs
This endpoint can be used to search for documents across different document kinds. Currently we support case law, legislation and literature document kinds. The endpoint provides a paginated response with up to 10,000 results with at most 100 results per page.
The searchTerm parameter searches across multiple fields of a document at the same time. The fields searched depend on the document kind. See the filters guide for more information.
Default sorting is by relevance from most relevant to least relevant. Multiple factors are combined to boost the most relevant documents to the top of the result list. Additionally, sorting by date is possible by setting the sort query parameter to date.
```markdown
### Parameters
- **searchTerm** (string, query, optional): Searches for the given tokens in searchTerm. If searchTerm contains more than one token, all tokens must be in the document for the document to match.
- **dateFrom** (string (date), query, optional): The from (greater than or equal) parameter returns all entities where date is later than, or equal to, the given date.
- **dateTo** (string (date), query, optional): The to (less than or equal) parameter returns all entities where date is earlier than, or equal to, the given date.
- **sort** (string, query, optional): The field to sort the results by. Default is the relevance score calculated by OpenSearch. Valid usage of the sort field are : date, temporalCoverageFrom, legislationIdentifier, courtName, documentNumber and not setting the sort field (sort by relevance descending).Add a leading - to set the order to descending (-date)
- **size** (integer (int32), query, optional): The number of entities per page
- **pageIndex** (integer (int32), query, optional): The number of the page to request. The page starts with the value 0
- **mostRelevantOn** (string (date), query, optional): Filters the result set so every work returns exactly one expression. Most relevant is defined as : The expression in force on that date if it exists, then the expression that would next be in force if that exists, then the most recent expression that was in force. If other filters are used the work may return 0 expressions due to the most relevant expression being filtered out.
### Responses
#### 200 - Success
**CollectionSchemaSearchMemberSchemaAbstractDocumentSchema**
- **@type** (string) (example: "hydra:Collection")
- **@id** (string) (required) (example: "/v1/document?pageIndex=0&size=5")
- **totalItems** (integer (int64)) (required) (example: 1)
- **member** (array (SearchMemberSchemaAbstractDocumentSchema)) (required)
Array items:
- **@type** (string) (example: "SearchResult")
- **item** (object) (required)
- **@type** (string) (required) (example: "AdministrativeDirective")
- **@id** (string) (example: "KALU000000000")
- **documentNumber** (string): Dokumentnummer (example: "KALU000000000")
- **headline** (string): Haupttitel
- **shortReport** (string): Kurzreferat
- **documentType** (string): Dokumenttyp (example: "VV")
- **referenceNumbers** (array (string)): Aktenzeichen (example: "['ZZ', 'YY']")
- **legislationAuthority** (string): Normgeber
- **entryIntoForceDate** (string (date)): Gültig ab Datum (example: "2003-12-15")
- **encoding** (array (AdministrativeDirectiveEncodingSchema))
Array items:
- **@type** (string) (example: "MediaObject")
- **@id** (string) (required)
- **contentUrl** (string) (required)
- **encodingFormat** (string) (required) (example: "text/html")
- **inLanguage** (string) (required) (example: "de")
- **textMatches** (array (TextMatchSchema)) (required)
Array items:
- **@type** (string) (example: "SearchResultMatch")
- **name** (string) (required)
- **text** (string) (required)
- **location** (string,null)
- **view** (object) (required)
- **@type** (string) (example: "hydra:PartialCollectionView")
- **first** (string)
- **previous** (string)
- **next** (string)
- **last** (string)
#### 500 - Internal Server Error
Internal Server Error
### Example Usage
```bash
curl -X GET "https://testphase.rechtsinformationen.bund.de//v1/document?searchTerm=string&dateFrom=2023-01-01&dateTo=2023-01-01&sort=string&size=0&pageIndex=0&mostRelevantOn=2023-01-01"
```
```
--------------------------------
### GET /v1/document/lucene-search/administrative-directive
Source: https://docs.rechtsinformationen.bund.de/v3/api-docs
API endpoint for GET /v1/document/lucene-search/administrative-directive
```markdown
### Parameters
- **query** (string, query, optional): The query filter based on Lucene query syntax
- **size** (integer (int32), query, optional): The number of entities per page
- **pageIndex** (integer (int32), query, optional): The number of the page to request. The page starts with the value 0
- **sort** (string, query, optional): The field to sort the results by. Default is the relevance score calculated by OpenSearch. Valid usage of the sort field are : date and documentNumber and not setting the sort field (sort by relevance descending).Add a leading - to set the order to descending (-date)
### Responses
#### 200 - Success
**CollectionSchemaSearchMemberSchemaAdministrativeDirectiveSearchSchema**
- **@type** (string) (example: "hydra:Collection")
- **@id** (string) (required) (example: "/v1/document?pageIndex=0&size=5")
- **totalItems** (integer (int64)) (required) (example: 1)
- **member** (array (SearchMemberSchemaAdministrativeDirectiveSearchSchema)) (required)
Array items:
- **@type** (string) (example: "SearchResult")
- **item** (object) (required)
- **@type** (string) (required) (example: "AdministrativeDirective")
- **@id** (string) (example: "KALU000000000")
- **documentNumber** (string): Dokumentnummer (example: "KALU000000000")
- **headline** (string): Haupttitel
- **shortReport** (string): Kurzreferat
- **documentType** (string): Dokumenttyp (example: "VV")
- **referenceNumbers** (array (string)): Aktenzeichen (example: "['ZZ', 'YY']")
- **legislationAuthority** (string): Normgeber
- **entryIntoForceDate** (string (date)): Gültig ab Datum (example: "2003-12-15")
- **encoding** (array (AdministrativeDirectiveEncodingSchema))
Array items:
- **@type** (string) (example: "MediaObject")
- **@id** (string) (required)
- **contentUrl** (string) (required)
- **encodingFormat** (string) (required) (example: "text/html")
- **inLanguage** (string) (required) (example: "de")
- **textMatches** (array (TextMatchSchema)) (required)
Array items:
- **@type** (string) (example: "SearchResultMatch")
- **name** (string) (required)
- **text** (string) (required)
- **location** (string,null)
- **view** (object) (required)
- **@type** (string) (example: "hydra:PartialCollectionView")
- **first** (string)
- **previous** (string)
- **next** (string)
- **last** (string)
#### 500 - Internal Server Error
Internal Server Error
### Example Usage
```bash
curl -X GET "https://testphase.rechtsinformationen.bund.de//v1/document/lucene-search/administrative-directive?query=string&size=0&pageIndex=0&sort=string"
```
```
--------------------------------
### GET /v1/literature/{documentNumber}.html
Source: https://docs.rechtsinformationen.bund.de/v3/api-docs
Renders and returns a literature item as HTML.
```markdown
### Parameters
- **documentNumber** (string, path, required)
### Responses
#### 200 - OK
#### 404 - Not Found
Not Found
### Example Usage
```bash
curl -X GET "https://testphase.rechtsinformationen.bund.de//v1/literature/{documentNumber}.html"
```
```
--------------------------------
### GET /v1/case-law/changelog
Source: https://docs.rechtsinformationen.bund.de/v3/api-docs
Returns references of document changes that occurred in between two points in time.
```markdown
### Parameters
- **from** (string (date-time), query, required)
- **to** (string (date-time), query, required)
### Responses
#### 200 - OK
**ChangelogResponse**
- **@context** (object)
- **changed** (array (ChangelogChangedDocument)) (required): Set of changed documents
Array items:
- **@id** (string) (required): unique identifier of the document
- **@type** (string) (required): type of the document
- **contentUrl** (string) (required)
- **deleted** (array (ChangelogDeletedDocument)) (required): Set of deleted documents
Array items:
- **@id** (string) (required): unique identifier of the document
- **@type** (string) (required): type of the document
- **allChanged** (boolean) (required): flag to communicate that the whole storage got rebuilt
### Example Usage
```bash
curl -X GET "https://testphase.rechtsinformationen.bund.de//v1/case-law/changelog?from=2023-01-01T00:00:00Z&to=2023-01-01T00:00:00Z"
```
```
--------------------------------
### GET /v1/administrative-directive
Source: https://docs.rechtsinformationen.bund.de/v3/api-docs
The endpoint returns a list of administrative directives from our database. The list is paginated and can be filtered and sorted.
```markdown
### Parameters
- **documentNumber** (string, query, optional)
- **searchTerm** (string, query, optional): Searches for the given tokens in searchTerm. If searchTerm contains more than one token, all tokens must be in the document for the document to match.
- **dateFrom** (string (date), query, optional): The from (greater than or equal) parameter returns all entities where date is later than, or equal to, the given date.
- **dateTo** (string (date), query, optional): The to (less than or equal) parameter returns all entities where date is earlier than, or equal to, the given date.
- **size** (integer (int32), query, optional): The number of entities per page
- **pageIndex** (integer (int32), query, optional): The number of the page to request. The page starts with the value 0
- **sort** (string, query, optional): The field to sort the results by. Default is the relevance score calculated by OpenSearch. Valid usage of the sort field are : date and documentNumber and not setting the sort field (sort by relevance descending).Add a leading - to set the order to descending (-date)
### Responses
#### 200 - Success
**CollectionSchemaSearchMemberSchemaAdministrativeDirectiveSearchSchema**
- **@type** (string) (example: "hydra:Collection")
- **@id** (string) (required) (example: "/v1/document?pageIndex=0&size=5")
- **totalItems** (integer (int64)) (required) (example: 1)
- **member** (array (SearchMemberSchemaAdministrativeDirectiveSearchSchema)) (required)
Array items:
- **@type** (string) (example: "SearchResult")
- **item** (object) (required)
- **@type** (string) (required) (example: "AdministrativeDirective")
- **@id** (string) (example: "KALU000000000")
- **documentNumber** (string): Dokumentnummer (example: "KALU000000000")
- **headline** (string): Haupttitel
- **shortReport** (string): Kurzreferat
- **documentType** (string): Dokumenttyp (example: "VV")
- **referenceNumbers** (array (string)): Aktenzeichen (example: "['ZZ', 'YY']")
- **legislationAuthority** (string): Normgeber
- **entryIntoForceDate** (string (date)): Gültig ab Datum (example: "2003-12-15")
- **encoding** (array (AdministrativeDirectiveEncodingSchema))
Array items:
- **@type** (string) (example: "MediaObject")
- **@id** (string) (required)
- **contentUrl** (string) (required)
- **encodingFormat** (string) (required) (example: "text/html")
- **inLanguage** (string) (required) (example: "de")
- **textMatches** (array (TextMatchSchema)) (required)
Array items:
- **@type** (string) (example: "SearchResultMatch")
- **name** (string) (required)
- **text** (string) (required)
- **location** (string,null)
- **view** (object) (required)
- **@type** (string) (example: "hydra:PartialCollectionView")
- **first** (string)
- **previous** (string)
- **next** (string)
- **last** (string)
#### 500 - Internal Server Error
Internal Server Error
### Example Usage
```bash
curl -X GET "https://testphase.rechtsinformationen.bund.de//v1/administrative-directive?documentNumber=string&searchTerm=string&dateFrom=2023-01-01&dateTo=2023-01-01&size=0&pageIndex=0&sort=string"
```
```
--------------------------------
### GET /v1/legislation/eli/{jurisdiction}/{agent}/{year}/{naturalIdentifier}/{pointInTime}/{version}/{language}
Source: https://docs.rechtsinformationen.bund.de/v3/api-docs
Returns metadata of a legislation item.
```markdown
### Parameters
- **jurisdiction** (string (bund), path, required): Country or regional code for the jurisdiction
- **agent** (string, path, required): Agent or authority issuing the legislation, e.g., 'bgbl-1' for Bundesgesetzblatt Teil I (Federal Law Gazette part I)
- **year** (string, path, required): Year the legislation was enacted or published
- **naturalIdentifier** (string, path, required): Unique natural identifier for the legislation, specific to the jurisdiction and agent
- **pointInTime** (string (date), path, required)
- **version** (integer (int32), path, required)
- **language** (string, path, required)
### Responses
#### 200 - OK
**LegislationExpressionSchema**
- **@type** (string) (example: "Legislation")
- **@id** (string) (required) (example: "/v1/legislation/eli/bund/bgbl-1/1975/s1760/1998-01-29/10/deu")
- **name** (string) (required): Amtliche Langüberschrift (example: "Verordnung über Kakao und Kakaoerzeugnisse")
- **abbreviation** (string): Amtliche Buchstabenabkürzung (example: "KakaoV 2003")
- **alternateName** (string) (required): Amtliche Kurzüberschrift (example: "Kakaoverordnung")
- **exampleOfWork** (object) (required)
- **@type** (string) (example: "Legislation")
- **@id** (string) (required) (example: "/v1/legislation/eli/bund/bgbl-1/1975")
- **legislationIdentifier** (string) (required) (example: "eli/bund/bgbl-1/1975/s1760")
- **legislationDate** (string (date)) (required): Ausfertigungsdatum (The date of adoption or signature of the legislation. This is the date at which the text is officially acknowledged to be a legislation, even though it might not even be published or in force.)
(example: "2003-12-15")
- **datePublished** (string (date)) (required): Verkündungsdatum (The date of first publication of the legislation, when it was published in the official gazette. This may be later than the `legislationDate`.)
(example: "2003-12-16")
- **isPartOf** (object)
- **@type** (string) (example: "PublicationIssue")
- **name** (string) (required) (example: "BGBL I 2003, 1760")
- **legislationIdentifier** (string) (required) (example: "eli/bund/bgbl-1/1975/s1760/1998-01-29/10/deu")
- **temporalCoverage** (string) (required): Textual string indicating a time period in [ISO 8601 time interval format](https://en.wikipedia.org/wiki/ISO_8601#Time_intervals)
(example: "1998-02-06/..")
- **legislationLegalForce** (string (InForce|NotInForce|PartiallyInForce)) (required): Whether the legislation expression is currently in force. ("InForce"|"NotInForce"|"PartiallyInForce")
- **hasPart** (array (LegislationExpressionPartSchema)) (required): List of components (articles, preambles, conclusions, attachments, …) that form this legislation item.
Array items:
- **@type** (string) (example: "Legislation")
- **@id** (string) (required) (example: "/v1/legislation/eli/bund/bgbl-1/1975/s1760/regelungstext-1.xml#hauptteitel-para-1")
- **eId** (string) (required): Expression-level identifier, uniquely identifying this element in an FRBR expression (example: "hauptteitel-para-1")
- **name** (string) (required): Numerical identifier of a specific legislation part (example: "§ 1")
- **headline** (string) (required): Headline of a specific legislation part (example: "Beginn der Rechtsfähigkeit")
- **temporalCoverage** (string) (required): Textual string indicating a time period in [ISO 8601 time interval format](https://en.wikipedia.org/wiki/ISO_8601#Time_intervals)
(example: "1998-02-06/..")
- **encoding** (array (LegislationObjectSchema)): The source data for this part, if available on its own
Array items:
- **@type** (string) (example: "LegislationObject")
- **@id** (string) (required) (example: "/v1/legislation/eli/bund/bgbl-1/1975/s1760/1998-01-29/10/deu/1998-01-29/regelungstext-1/html")
- **contentUrl** (string) (required) (example: "/v1/legislation/eli/bund/bgbl-1/1975/s1760/1998-01-29/10/deu/1998-01-29/regelungstext-1.html")
- **encodingFormat** (string) (required) (example: "text/html")
- **inLanguage** (string) (required) (example: "de")
- **hasPart** (array (LegislationExpressionPartSchema))
Array items:
- **encoding** (array (LegislationObjectSchema)) (required)
Array items:
#### 404 - Not Found
Not Found
### Example Usage
```bash
curl -X GET "https://testphase.rechtsinformationen.bund.de//v1/legislation/eli/{jurisdiction}/{agent}/{year}/{naturalIdentifier}/{pointInTime}/{version}/{language}"
```
```
--------------------------------
### GET /v1/statistics
Source: https://docs.rechtsinformationen.bund.de/v3/api-docs
API endpoint for GET /v1/statistics
```markdown
### Responses
#### 200 - OK
**StatisticsApiSchema**
- **legislation** (object) (required)
- **count** (integer (int64)) (required)
- **case-law** (object) (required)
- **literature** (object) (required)
- **administrative-directive** (object) (required)
### Example Usage
```bash
curl -X GET "https://testphase.rechtsinformationen.bund.de//v1/statistics"
```
```